[SM-Grimoire-Bugs] [Bug 15441] New: hplip fails to compile with net-snmp version 5.5

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Oct 5 07:08:51 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15441

           Summary: hplip fails to compile with net-snmp version 5.5
           Product: Codex
           Version: test grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: net
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: pyrobor at ver.si


Created an attachment (id=7381)
 --> (http://bugs.sourcemage.org/attachment.cgi?id=7381)
full compile log. this was with net-snmp v5.5

Compiling hplip fails with net-snmp version 5.5 with the following error. There
is no problem with net-snmp v5.4.2.1. I have enabled optional dependency in
hplip ofcorse.

Running make with 5 jobs failed. Attempt to run with a single job? [y] 
/bin/sh ./libtool --tag=CC   --mode=link gcc -I/usr/include/python2.6
-march=core2 -fPIC -DPIC -pipe -Os -module -avoid-version -s -o cupsext.la
-rpath /usr/lib/python2.6/site-packages cupsext_la-cupsext.lo -lcups -lcrypto 
libtool: link: gcc -shared  .libs/cupsext_la-cupsext.o   -lcups -lcrypto 
-march=core2   -Wl,-soname -Wl,cupsext.so -o .libs/cupsext.so
libtool: link: ( cd ".libs" && rm -f "cupsext.la" && ln -s "../cupsext.la"
"cupsext.la" )
/bin/sh ./libtool --tag=CC   --mode=compile gcc -DPACKAGE_NAME=\"HP\ Linux\
Imaging\ and\ Printing\" -DPACKAGE_TARNAME=\"hplip\"
-DPACKAGE_VERSION=\"3.9.8\" -DPACKAGE_STRING=\"HP\ Linux\ Imaging\ and\
Printing\ 3.9.8\" -DPACKAGE_BUGREPORT=\"3.9.8.36\" -DPACKAGE=\"hplip\"
-DVERSION=\"3.9.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1
-DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1
-DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
-DLT_OBJDIR=\".libs/\" -DHAVE_LIBDL=1 -DHAVE_PTHREAD_H=1 -DHAVE_JPEGLIB_H=1
-DHAVE_UINT32_T=1 -DHAVE_LIBHPIP=1 -DHAVE_LIBCRYPTO=1 -DHAVE_LIBNETSNMP=1
-DHAVE_NET_SNMP_NET_SNMP_CONFIG_H=1 -DHAVE_CUPS_CUPS_H=1 -DHAVE_USB_H=1
-DHAVE_PYTHON2_6_PYTHON_H=1 -DHAVE_DBUS=1 -I. -Iip -Iio/hpmud -Iscan/sane  
-DMUDNAME=\"hpmud\" -DCONFDIR=\"/etc/hp\" -march=core2 -fPIC -DPIC -pipe -Os
-MT libhpmud_la-pml.lo -MD -MP -MF .deps/libhpmud_la-pml.Tpo -c -o
libhpmud_la-pml.lo `test -f 'io/hpmud/pml.c' || echo './'`io/hpmud/pml.c
libtool: compile:  gcc "-DPACKAGE_NAME=\"HP Linux Imaging and Printing\""
-DPACKAGE_TARNAME=\"hplip\" -DPACKAGE_VERSION=\"3.9.8\" "-DPACKAGE_STRING=\"HP
Linux Imaging and Printing 3.9.8\"" -DPACKAGE_BUGREPORT=\"3.9.8.36\"
-DPACKAGE=\"hplip\" -DVERSION=\"3.9.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1
-DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1
-DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1
-DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_LIBDL=1 -DHAVE_PTHREAD_H=1
-DHAVE_JPEGLIB_H=1 -DHAVE_UINT32_T=1 -DHAVE_LIBHPIP=1 -DHAVE_LIBCRYPTO=1
-DHAVE_LIBNETSNMP=1 -DHAVE_NET_SNMP_NET_SNMP_CONFIG_H=1 -DHAVE_CUPS_CUPS_H=1
-DHAVE_USB_H=1 -DHAVE_PYTHON2_6_PYTHON_H=1 -DHAVE_DBUS=1 -I. -Iip -Iio/hpmud
-Iscan/sane -DMUDNAME=\"hpmud\" -DCONFDIR=\"/etc/hp\" -march=core2 -fPIC -DPIC
-pipe -Os -MT libhpmud_la-pml.lo -MD -MP -MF .deps/libhpmud_la-pml.Tpo -c
io/hpmud/pml.c  -fPIC -DPIC -o .libs/libhpmud_la-pml.o
In file included from /usr/include/net-snmp/utilities.h:40,
                 from /usr/include/net-snmp/net-snmp-includes.h:75,
                 from io/hpmud/pml.c:46:
/usr/include/net-snmp/library/system.h:140: error: conflicting types for
'strtoull'
/usr/include/stdlib.h:215: error: previous declaration of 'strtoull' was here
make: *** [libhpmud_la-pml.lo] Error 1
 ! Problem Detected !

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.


More information about the SM-Grimoire-Bugs mailing list